Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.lib
Class Conexao

    java.lang.Object
      java.lang.Thread
          estella.lib.Conexao

All Implemented Interfaces:
  java.lang.Runnable

    public class Conexao

extends java.lang.Thread

Funcoes para gerenciar conexoes de saida

Since:
  22/11/2005

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Conexao(java.net.Socket sckt)`
`Conexao(java.lang.String host, int porta)` Instancia uma nova conexao

Method Summary
`boolean` | `envia(byte[] arquivo)` Escreve dados no socket
`boolean` | `envia(java.lang.String msg)` Escreve dados no socket
`boolean` | `fecha()` Fecha conexao cliente, incluindo os canais de comunicacao (leitura / escrita)
`int` | `getTimeout()` Timeout - retorna o tempo de espera para resposta da conexao
`java.lang.String` | `host()` Retorna o host da conexao
`boolean` | `inicia()` Cria um socket cliente, setando os parametros necessarios
`java.lang.String` | `ipLocal()` Retorna o ip no qual essa conexao se conectou (ip do servidor local)
`int` | `porta()` Retorna a porta da conexao
`java.lang.String` | `recebe()` Recebe dados do socket (com timeout, vide classe constantes)
`boolean` | `recebeArquivo(java.lang.String dir, java.lang.String nome, int tamanho)` Recebe arquivo do socket (com timeout, vide classe constantes)
`java.lang.String` | `recebeSEO()` Recebe dados do socket, se nao tiver nada, nao espera e retorna null (sem espera ocupada)
`java.lang.String` | `recebeString()` Recebe dados do socket (com timeout, vide classe constantes)
`boolean` | `setTimeout(int tempo)` Timeout - seta o tempo de espera para resposta da conexao
`java.net.Socket` | `status()` Status da conexao

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Conexao

    public Conexao(java.lang.String host,
                   int porta)

  Instancia uma nova conexao

  Parameters:
    `host` - String com o host no formato host.com ou 127.0.0.1
    `porta` - Inteiro contendo um numero de porta

### Conexao

    public Conexao(java.net.Socket sckt)

Method Detail

### inicia

    public boolean inicia()

  Cria um socket cliente, setando os parametros necessarios

  Returns:
    true ou false / se a conexao foi criada e se modo leitura e gravacao estao prontos

### envia

    public boolean envia(java.lang.String msg)

  Escreve dados no socket

  Parameters:
    `msg` - - String com a mensagem a ser escrita no socket
  Returns:
    true ou false

### envia

    public boolean envia(byte[] arquivo)

  Escreve dados no socket

  Parameters:
    `arquivo` - - arquivo em bytes para ser escritor no socket
  Returns:
    true ou false

### host

    public java.lang.String host()

  Retorna o host da conexao

  Returns:
    host

### ipLocal

    public java.lang.String ipLocal()

  Retorna o ip no qual essa conexao se conectou (ip do servidor local)

  Returns:
    string

### porta

    public int porta()

  Retorna a porta da conexao

  Returns:
    porta

### setTimeout

    public boolean setTimeout(int tempo)

  Timeout - seta o tempo de espera para resposta da conexao

  Parameters:
    `tempo` - (s) - tempo em segundos
  Returns:
    true ou false

### getTimeout

    public int getTimeout()

  Timeout - retorna o tempo de espera para resposta da conexao

  Parameters:
    `tempo` - (s) - tempo em segundos
  Returns:
    true ou false

### recebeString

    public java.lang.String recebeString()

  Recebe dados do socket (com timeout, vide classe constantes)

  Returns:
    msg - String com a mensagem recebida ou null - Problema na recepcao de dados

### recebe

    public java.lang.String recebe()

  Recebe dados do socket (com timeout, vide classe constantes)

  Returns:
    String - string com os dados recebidos
  See Also:
    `Constantes`

### recebeSEO

    public java.lang.String recebeSEO()

  Recebe dados do socket, se nao tiver nada, nao espera e retorna null (sem espera ocupada)

### recebeArquivo

    public boolean recebeArquivo(java.lang.String dir,
                                 java.lang.String nome,
                                 int tamanho)

  Recebe arquivo do socket (com timeout, vide classe constantes)

  Returns:
    byte[] - array com bytes
  See Also:
    `Constantes`

### status

    public java.net.Socket status()

  Status da conexao

  Returns:
    socket da conexao (podendo retornar null se desconectado)

### fecha

    public boolean fecha()

  Fecha conexao cliente, incluindo os canais de comunicacao (leitura / escrita)

  Returns:
    true ou false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD